Skip to main content
GET
/
v1
/
customers
/
{id}
/
payment_methods
List Customer Payment Methods
curl --request GET \
  --url https://api.withflex.com/v1/customers/{id}/payment_methods \
  --header 'Authorization: Bearer <token>'
{
  "payment_methods": [
    {
      "payment_method_id": "obj_01EXAMPLE00000000000000000",
      "billing_details": {},
      "metadata": {},
      "card": {},
      "created_at": "2024-01-01T00:00:00Z",
      "test_mode": false,
      "off_session": false
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.withflex.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a Bearer token to access this API.

Path Parameters

id
string
required
Example:

"obj_01EXAMPLE00000000000000000"

Query Parameters

limit
integer<int32> | null

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

Example:

10

offset
integer<int32> | null

Number of objects to skip before returning results.

Example:

0

Response

Success

payment_methods
object[]
required